Module java.base
Package java.lang.reflect

## Class InaccessibleObjectException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.reflect.InaccessibleObjectException

All Implemented Interfaces:
  Serializable

    public class InaccessibleObjectException
    extends RuntimeException

Thrown when Java language access checks cannot be suppressed.

Since:
  9
See Also:
  `AccessibleObject.setAccessible(boolean)`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InaccessibleObjectException()` Constructs a `InaccessibleObjectException` with no detail message.
`InaccessibleObjectException(String msg)` Constructs a `InaccessibleObjectException` with the given detail message.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Constructor Detail

#### InaccessibleObjectException

    public InaccessibleObjectException()

Constructs a `InaccessibleObjectException` with no detail message.

#### InaccessibleObjectException

    public InaccessibleObjectException(String msg)

Constructs a `InaccessibleObjectException` with the given detail message.

Parameters:
  `msg` - The detail message